# MSP::CCS::UPSCoordinates Class Reference

`#include <UPSCoordinates.h>`

Inheritance diagram for MSP::CCS::UPSCoordinates:

List of all members.

## Public Member Functions

| UPSCoordinates ()
| UPSCoordinates (CoordinateType::Enum _coordinateType)
| UPSCoordinates (CoordinateType::Enum _coordinateType, char __hemisphere, double __easting, double __northing)
| UPSCoordinates (CoordinateType::Enum _coordinateType, const char *__warningMessage, char __hemisphere, double __easting, double __northing)
| UPSCoordinates (const UPSCoordinates &c)
| ~UPSCoordinates ()
UPSCoordinates & | operator= (const UPSCoordinates &c)
void | set (char __hemisphere, double __easting, double __northing)
char | hemisphere () const
double | easting () const
double | northing () const

## Detailed Description

Definition at line 15 of file UPSCoordinates.h.

## Constructor & Destructor Documentation

UPSCoordinates::UPSCoordinates | ( |  | ) |

Definition at line 10 of file UPSCoordinates.cpp.

UPSCoordinates::UPSCoordinates | ( | CoordinateType::Enum | _coordinateType | ) |

Definition at line 19 of file UPSCoordinates.cpp.

UPSCoordinates::UPSCoordinates | ( | CoordinateType::Enum | _coordinateType,
|  | char | __hemisphere,
|  | double | __easting,
|  | double | __northing |
| ) |  |  |

Definition at line 28 of file UPSCoordinates.cpp.

UPSCoordinates::UPSCoordinates | ( | CoordinateType::Enum | _coordinateType,
|  | const char * | __warningMessage,
|  | char | __hemisphere,
|  | double | __easting,
|  | double | __northing |
| ) |  |  |

Definition at line 37 of file UPSCoordinates.cpp.

UPSCoordinates::UPSCoordinates | ( | const UPSCoordinates & | c | ) |

Definition at line 49 of file UPSCoordinates.cpp.

UPSCoordinates::~UPSCoordinates | ( |  | ) |

Definition at line 63 of file UPSCoordinates.cpp.

## Member Function Documentation

double UPSCoordinates::easting | ( |  | ) | const

Definition at line 101 of file UPSCoordinates.cpp.

char UPSCoordinates::hemisphere | ( |  | ) | const

Definition at line 95 of file UPSCoordinates.cpp.

double UPSCoordinates::northing | ( |  | ) | const

Definition at line 107 of file UPSCoordinates.cpp.

UPSCoordinates & UPSCoordinates::operator= | ( | const UPSCoordinates & | c | ) |

Reimplemented from MSP::CCS::CoordinateTuple.

Definition at line 68 of file UPSCoordinates.cpp.

void UPSCoordinates::set | ( | char | __hemisphere,
|  | double | __easting,
|  | double | __northing |
| ) |  |  |

Definition at line 87 of file UPSCoordinates.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateTuples/UPSCoordinates.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateTuples/UPSCoordinates.cpp